gi-cairo-1.0.29: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.Rectangle

Contents

- Exported types
- Methods
- Properties
  - height
  - width
  - x
  - y

Description

No description available in the introspection data.

Synopsis

- newtype Rectangle = Rectangle (ManagedPtr Rectangle)
- newZeroRectangle :: MonadIO m => m Rectangle
- getRectangleHeight :: MonadIO m => Rectangle -> m Double
- setRectangleHeight :: MonadIO m => Rectangle -> Double -> m ()
- getRectangleWidth :: MonadIO m => Rectangle -> m Double
- setRectangleWidth :: MonadIO m => Rectangle -> Double -> m ()
- getRectangleX :: MonadIO m => Rectangle -> m Double
- setRectangleX :: MonadIO m => Rectangle -> Double -> m ()
- getRectangleY :: MonadIO m => Rectangle -> m Double
- setRectangleY :: MonadIO m => Rectangle -> Double -> m ()

# Exported types

newtype Rectangle Source #

Memory-managed wrapper type.

Constructors

Rectangle (ManagedPtr Rectangle) |

#### Instances

Instances details

Eq Rectangle Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle Methods (==) :: Rectangle -> Rectangle -> Bool Source # (/=) :: Rectangle -> Rectangle -> Bool Source #
GBoxed Rectangle Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle
ManagedPtrNewtype Rectangle Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle Methods toManagedPtr :: Rectangle -> ManagedPtr Rectangle Source #
TypedObject Rectangle Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle Methods glibType :: IO GType Source #
HasParentTypes Rectangle Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle
tag ~ 'AttrSet => Constructible Rectangle tag Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle Methods new :: MonadIO m => (ManagedPtr Rectangle -> Rectangle) -> [AttrOp Rectangle tag] -> m Rectangle Source #
IsGValue (Maybe Rectangle) Source # | Convert `Rectangle` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Rectangle Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Rectangle -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Rectangle) Source #
type ParentTypes Rectangle Source # |
Instance details Defined in GI.Cairo.Structs.Rectangle type ParentTypes Rectangle = '[] :: [Type]

newZeroRectangle :: MonadIO m => m Rectangle Source #

Construct a `Rectangle` struct initialized to zero.

# Methods

# Properties

## height

No description available in the introspection data.

getRectangleHeight :: MonadIO m => Rectangle -> m Double Source #

Get the value of the “`height`” field. When overloading is enabled, this is equivalent to

    get rectangle #height

setRectangleHeight :: MonadIO m => Rectangle -> Double -> m () Source #

Set the value of the “`height`” field. When overloading is enabled, this is equivalent to

    set rectangle [ #height := value ]

## width

No description available in the introspection data.

getRectangleWidth :: MonadIO m => Rectangle -> m Double Source #

Get the value of the “`width`” field. When overloading is enabled, this is equivalent to

    get rectangle #width

setRectangleWidth :: MonadIO m => Rectangle -> Double -> m () Source #

Set the value of the “`width`” field. When overloading is enabled, this is equivalent to

    set rectangle [ #width := value ]

## x

No description available in the introspection data.

getRectangleX :: MonadIO m => Rectangle -> m Double Source #

Get the value of the “`x`” field. When overloading is enabled, this is equivalent to

    get rectangle #x

setRectangleX :: MonadIO m => Rectangle -> Double -> m () Source #

Set the value of the “`x`” field. When overloading is enabled, this is equivalent to

    set rectangle [ #x := value ]

## y

No description available in the introspection data.

getRectangleY :: MonadIO m => Rectangle -> m Double Source #

Get the value of the “`y`” field. When overloading is enabled, this is equivalent to

    get rectangle #y

setRectangleY :: MonadIO m => Rectangle -> Double -> m () Source #

Set the value of the “`y`” field. When overloading is enabled, this is equivalent to

    set rectangle [ #y := value ]